## I-Nex-master.tar.gz

=== Makefile ===
#!/usr/bin/make -f

include i-nex.mk
make: build-inex build-json build-pixmaps

install: install-pastebinit-and-other \
	 install-pixmaps install-changelogs install-manpages \
	 install-docs install-json install-inex install-scripts \
	 install-udev-rule link-inex install-database install-siv
	 
clean: clean-pixmaps clean-json clean-inex clean-all

distclean: clean

sysclean: uninstall rmgambas

build-inex:

	@echo -e '\033[1;32mBuild I-Nex...\033[0m'
	$(MAKE) -C I-Nex
	
build-json:

	@echo -e '\033[1;32mBuild JSON...\033[0m'
	$(MAKE) -C JSON
	
build-pixmaps:

	@echo -e '\033[1;32mBuild Pixmaps...\033[0m'
	$(MAKE) -C pixmaps
	
install-pastebinit-and-other:
	@echo -e '\033[1;32mCreate nedded dirs...\033[0m'
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
	mkdir -p $(DESTDIR)$(PREFIX)/share/i-nex/pastebinit
	mkdir -p $(DESTDIR)$(PREFIX)/share/i-nex/pastebinit/pastebin.d
	@echo -e '\033[1;32mInstall pastebinit and other...\033[0m'
	$(INSTALL) 0755 debian/i-nex.desktop $(DESTDIR)$(PREFIX)/share/applications/
	$(INSTALL) 0755 debian/i-nex-library.desktop $(DESTDIR)$(PREFIX)/share/applications/
	$(INSTALL) 0755 pastebinit $(DESTDIR)$(PREFIX)/share/i-nex/pastebinit/
	$(INSTALL) 0755 pastebinit.xml $(DESTDIR)$(PREFIX)/share/i-nex/pastebinit/
	$(INSTALL) 0755 release.conf $(DESTDIR)$(PREFIX)/share/i-nex/pastebinit/
	$(MAKE) -C pastebin.d install
	
install-pixmaps:

	@echo -e '\033[1;32mInstall pixmaps...\033[0m'
	$(MAKE) -C pixmaps install
	
install-changelogs:

	@echo -e '\033[1;32mInstall changelogs...\033[0m'
	$(MAKE) -C changelogs install
	
install-manpages:

	@echo -e '\033[1;32mInstall manpages...\033[0m'
	$(MAKE) -C manpages install
	
install-docs:

	@echo -e '\033[1;32mInstall docs...\033[0m'
	$(MAKE) -C docs install
	
install-json:

	@echo -e '\033[1;32mInstall JSON...\033[0m'
	$(MAKE) -C JSON install
	
install-inex:

	@echo -e '\033[1;32mInstall I-Nex...\033[0m'
	$(MAKE) -C I-Nex install

install-scripts:

	@echo -e '\033[1;32mInstall Scripts...\033[0m'
	$(MAKE) -C Scripts install

install-database:
	@echo -e '\033[1;32mInstall database files...\033[0m'
	$(MAKE) -C Database install

install-siv:
	@echo -e '\033[1;32mInstall SIV files...\033[0m'
	$(MAKE) -C SIV install
	
clean-pixmaps:

	$(MAKE) -C pixmaps clean
	
clean-json:

	$(MAKE) -C JSON clean
	
clean-inex:

	if test -f "I-Nex/Makefile" ; then $(MAKE) -C I-Nex distclean ; fi

install-udev-rule:

	$(INSTALL_DM) 600 i2c_smbus.rules $(DESTDIR)$(UDEV_RULES_DIR)/i2c_smbus.rules

clean-all:

	$(RM_COM) $(RMDIR_OPT) `find . -name ".gambas"`
	$(RM_COM) $(RMDIR_OPT) `find . -name "*.gambas"`
	$(RM_COM) $(RMDIR_OPT) `find . -name ".directory"`
	$(RM_COM) $(RMFILE_OPT) I-Nex/i-nex/.lang/*.pot
	$(RM_COM) $(RMFILE_OPT) I-Nex/i-nex/.lang/*.po
	$(RM_COM) $(RMFILE_OPT) I-Nex/i-nex/.lang/*.mo
	$(RM_COM) $(RMDIR_OPT) I-Nex/i-nex/.gambas
	$(RM_COM) $(RMDIR_OPT) debian/files
	$(RM_COM) $(RMDIR_OPT) debian/i-nex
	$(RM_COM) $(RMDIR_OPT) debian/i-nex.debhelper.log
	$(RM_COM) $(RMDIR_OPT) debian/i-nex.postinst.debhelper
	$(RM_COM) $(RMDIR_OPT) debian/i-nex.postrm.debhelper
	$(RM_COM) $(RMDIR_OPT) debian/i-nex.substvars
	$(RM_COM) $(RMDIR_OPT) debian/changelog1
	$(RM_COM) $(RMDIR_OPT) I-Nex/autom4te.cache
	$(RM_COM) $(RMDIR_OPT) I-Nex/config.log
	$(RM_COM) $(RMDIR_OPT) I-Nex/config.status
	$(RM_COM) $(RMDIR_OPT) I-Nex/configure
	$(RM_COM) $(RMDIR_OPT) I-Nex/install-sh
	$(RM_COM) $(RMDIR_OPT) I-Nex/missing


link-inex:
	ln -s /usr/bin/i-nex.gambas $(DESTDIR)$(bindir)/i-nex

=== Database/Makefile ===
#!/usr/bin/make -f

include ../i-nex.mk

install: database-cpu-logos \
	 database-dist-logos \
	 database-cpu-json \
	 database-i2c-json
	 
database-cpu-logos:
	 mkdir -p $(DESTDIR)$(sysconfdir)/$(PN)
	 mkdir -p $(DESTDIR)$(sysconfdir)/$(PN)/Database
	 mkdir -p $(DESTDIR)$(sysconfdir)/$(PN)/Database/Logos
	 $(INSTALL) 0755 $(DATABASE_CPU_LOGOS) $(DESTDIR)$(sysconfdir)/$(PN)/Database/Logos/
	 
database-dist-logos:
	 mkdir -p $(DESTDIR)$(sysconfdir)/$(PN)
	 mkdir -p $(DESTDIR)$(sysconfdir)/$(PN)/Database
	 mkdir -p $(DESTDIR)$(sysconfdir)/$(PN)/Database/Distlogos
	 $(INSTALL) 0755 $(DATABASE_DIST_LOGOS) $(DESTDIR)$(sysconfdir)/$(PN)/Database/Distlogos/
	 
database-cpu-json:
	 mkdir -p $(DESTDIR)$(sysconfdir)/$(PN)
	 mkdir -p $(DESTDIR)$(sysconfdir)/$(PN)/Database
	 $(INSTALL) 0755 $(DATABASE_CPU_JSON) $(DESTDIR)$(sysconfdir)/$(PN)/Database/
	 
database-i2c-json:
	 mkdir -p $(DESTDIR)$(sysconfdir)/$(PN)
	 mkdir -p $(DESTDIR)$(sysconfdir)/$(PN)/Database
	 mkdir -p $(DESTDIR)$(sysconfdir)/$(PN)/Database/i2c
	 $(INSTALL) 0755 $(DATABASE_I2C_JSON) $(DESTDIR)$(sysconfdir)/$(PN)/Database/i2c/

=== JSON/Makefile ===
#!/usr/bin/make -f
include ../i-nex.mk 
make: check-static make-binary
check-static:
ifeq ($(STATIC),true)
	@echo -e '$(WARN_COLOR)Compile Static $(WARN_STRING)$(NO_COLOR)'
else
	@echo -e '$(OK_COLOR)Compile Not Static $(OK_STRING)$(NO_COLOR)'
endif

make-binary: compile-i-nex-edid \
	     compile-i-nex-cpuid \
	     compile-i-nex-usage \
	     compile-i-nex-cpusage \
	     compile-i-nex-glinfo \
	     compile-i-nex-uname
	
compile-i-nex-edid:
	@echo -e '$(OK_COLOR)Compile i-nex-edid $(OK_STRING)$(NO_COLOR)'
	$(CC) -o i-nex-edid i-nex-edid.c $(CFLAGS) $(additional_confflags)
	
compile-i-nex-cpuid:
	@echo -e '$(OK_COLOR)Compile i-nex-cpuid $(OK_STRING)$(NO_COLOR)'
	$(CC) -o i-nex-cpuid i-nex-cpuid.c $(YESNO_LINK) $(CC_OPTS_LIBCPUID) $(additional_confflags)
	
compile-i-nex-usage:
	@echo -e '$(OK_COLOR)Compile i-nex-usage $(OK_STRING)$(NO_COLOR)'
	$(CC) -o i-nex-usage i-nex-usage.c $(YESNO_LINK) $(CC_OPTS_LIBPROCPS) $(additional_confflags)
	
compile-i-nex-cpusage:
	@echo -e '$(OK_COLOR)Compile i-nex-cpusage $(OK_STRING)$(NO_COLOR)'
	$(CC) -o i-nex-cpusage i-nex-cpusage.c $(additional_confflags)
	
compile-i-nex-glinfo:
	@echo -e '$(OK_COLOR)Compile i-nex-glinfo $(OK_STRING)$(NO_COLOR)'
	$(CC) -o i-nex-glinfo glinfo_common.c i-nex-glinfo.c $(libx11) $(libgl) $(libxext) $(additional_confflags)
	
compile-i-nex-uname:
	@echo -e '$(OK_COLOR)Compile i-nex-uname $(OK_STRING)$(NO_COLOR)'
	$(CC) -o i-nex-uname i-nex-uname.c $(additional_confflags)
	
install: install-set-executables install-bin
install-set-executables: set-executable-i-nex-edid \
			 set-executable-i-nex-cpuid \
			 set-executable-i-nex-usage \
			 set-executable-i-nex-cpusage \
			 set-executable-i-nex-glinfo \
			 set-executable-i-nex-uname 
			 
set-executable-i-nex-edid:
	chmod +x i-nex-edid
set-executable-i-nex-cpuid:
	chmod +x i-nex-cpuid
set-executable-i-nex-usage:
	chmod +x i-nex-usage
set-executable-i-nex-cpusage:
	chmod +x i-nex-cpusage
set-executable-i-nex-glinfo:
	chmod +x i-nex-glinfo
set-executable-i-nex-uname:
	chmod +x i-nex-uname

install-bin: install-bin-i-nex-edid \
	     install-bin-i-nex-cpuid \
	     install-bin-i-nex-usage \
	     install-bin-i-nex-cpusage \
	     install-bin-i-nex-glinfo \
	     install-bin-i-nex-uname \
	     install-bin-i-nex-dimms
	     
	     

install-bin-i-nex-edid:
	test -d $(DESTDIR)$(bindir) || mkdir $(DESTDIR)$(bindir)
	$(INSTALL) 0755 i-nex-edid $(DESTDIR)$(bindir)
install-bin-i-nex-cpuid:
	test -d $(DESTDIR)$(bindir) || mkdir $(DESTDIR)$(bindir)
	$(INSTALL) 0755 i-nex-cpuid $(DESTDIR)$(bindir)
install-bin-i-nex-usage:
	test -d $(DESTDIR)$(bindir) || mkdir $(DESTDIR)$(bindir)
	$(INSTALL) 0755 i-nex-usage $(DESTDIR)$(bindir)
install-bin-i-nex-cpusage:
	test -d $(DESTDIR)$(bindir) || mkdir $(DESTDIR)$(bindir)
	$(INSTALL) 0755 i-nex-cpusage $(DESTDIR)$(bindir)
install-bin-i-nex-glinfo:
	test -d $(DESTDIR)$(bindir) || mkdir $(DESTDIR)$(bindir)
	$(INSTALL) 0755 i-nex-glinfo $(DESTDIR)$(bindir)
install-bin-i-nex-uname:
	test -d $(DESTDIR)$(bindir) || mkdir $(DESTDIR)$(bindir)
	$(INSTALL) 0755 i-nex-uname $(DESTDIR)$(bindir)
install-bin-i-nex-dimms:
	test -d $(DESTDIR)$(bindir) || mkdir $(DESTDIR)$(bindir)
	$(INSTALL) 0755 i-nex-dimms $(DESTDIR)$(bindir)
clean:
	@echo -e '$(ACTION_COLOR)Clean JSON$(NO_COLOR)'
	$(RM_COM) $(RMFILE_OPT) i-nex-edid
	$(RM_COM) $(RMFILE_OPT) i-nex-cpuid
	$(RM_COM) $(RMFILE_OPT) i-nex-usage
	$(RM_COM) $(RMFILE_OPT) i-nex-cpusage
	$(RM_COM) $(RMFILE_OPT) i-nex-glinfo
	$(RM_COM) $(RMFILE_OPT) i-nex-uname

=== SIV/Makefile ===
#!/usr/bin/make -f

include ../i-nex.mk

install: database-SIV
	 
database-SIV:
	 mkdir -p $(DESTDIR)$(sysconfdir)/$(PN)
	 mkdir -p $(DESTDIR)$(sysconfdir)/$(PN)/SIV
	 $(INSTALL) 0755 $(DATABASE_SIV) $(DESTDIR)$(sysconfdir)/$(PN)/SIV/

=== changelogs/Makefile ===
#!/usr/bin/make -f

include ../i-nex.mk

CHANGELOG_FILES=$(wildcard changelog-*)

install: install-changelogs compress-changelogs

install-changelogs:

	@echo -e '\033[1;32mInstalling Changelogs...\033[0m'
	mkdir -p $(DESTDIR)$(PREFIX)$(DOCSDIR)
	install -Dm644 $(CHANGELOG_FILES) $(DESTDIR)$(PREFIX)$(DOCSDIR)

compress-changelogs:

	@echo -e '\033[1;32mCompress Changelogs...\033[0m'
	${COMPRESS} $(DESTDIR)$(PREFIX)$(DOCSDIR)/changelog-0.4.6
	${COMPRESS} $(DESTDIR)$(PREFIX)$(DOCSDIR)/changelog-0.4.8
	${COMPRESS} $(DESTDIR)$(PREFIX)$(DOCSDIR)/changelog-0.4.8.1
	${COMPRESS} $(DESTDIR)$(PREFIX)$(DOCSDIR)/changelog-0.5.0
	${COMPRESS} $(DESTDIR)$(PREFIX)$(DOCSDIR)/changelog-0.5.1
	${COMPRESS} $(DESTDIR)$(PREFIX)$(DOCSDIR)/changelog-0.5.2
	${COMPRESS} $(DESTDIR)$(PREFIX)$(DOCSDIR)/changelog-0.5.4
	${COMPRESS} $(DESTDIR)$(PREFIX)$(DOCSDIR)/changelog-0.5.6
	${COMPRESS} $(DESTDIR)$(PREFIX)$(DOCSDIR)/changelog-0.5.8
	${COMPRESS} $(DESTDIR)$(PREFIX)$(DOCSDIR)/changelog-0.6.0
	${COMPRESS} $(DESTDIR)$(PREFIX)$(DOCSDIR)/changelog-0.6.2
	${COMPRESS} $(DESTDIR)$(PREFIX)$(DOCSDIR)/changelog-0.6.4
	${COMPRESS} $(DESTDIR)$(PREFIX)$(DOCSDIR)/changelog-0.6.6
	${COMPRESS} $(DESTDIR)$(PREFIX)$(DOCSDIR)/changelog-7.0.0
	${COMPRESS} $(DESTDIR)$(PREFIX)$(DOCSDIR)/changelog-7.2.0
	${COMPRESS} $(DESTDIR)$(PREFIX)$(DOCSDIR)/changelog-7.2.1
	${COMPRESS} $(DESTDIR)$(PREFIX)$(DOCSDIR)/changelog-7.4.0

=== docs/Makefile ===
#!/usr/bin/make -f
include ../i-nex.mk 
install: install-doc compress-doc

install-doc: install_copyright \
	     install_i_nex_LICENSE \
	     install_Pastebinit_LICENSE

compress-doc: compress_copyright \
	      compress_i_nex_LICENSE \
	      compress_Pastebinit_LICENSE

install_copyright:
	@echo -e '\033[1;32mCreate directory...\033[0m'
	${MKDIR_P} $(DESTDIR)$(PREFIX)$(DOCSDIR)
	@echo -e '\033[1;32mInstalling Docs copyright...\033[0m'
	${INSTALL_DM}644 copyright "$(DESTDIR)$(PREFIX)$(DOCSDIR)/copyright"
install_i_nex_LICENSE:
	@echo -e '\033[1;32mCreate directory...\033[0m'
	${MKDIR_P} $(DESTDIR)$(PREFIX)$(DOCSDIR)
	@echo -e '\033[1;32mInstalling Docs I-Nex.LICENSE...\033[0m'
	${INSTALL_DM}644 I-Nex.LICENSE "$(DESTDIR)$(PREFIX)$(DOCSDIR)/I-Nex.LICENSE"
install_Pastebinit_LICENSE:
	@echo -e '\033[1;32mCreate directory...\033[0m'
	${MKDIR_P} $(DESTDIR)$(PREFIX)$(DOCSDIR)
	@echo -e '\033[1;32mInstalling Docs Pastebinit.LICENSE...\033[0m'
	${INSTALL_DM}644 Pastebinit.LICENSE "$(DESTDIR)$(PREFIX)$(DOCSDIR)/Pastebinit.LICENSE"

compress_copyright:
		@echo -e '\033[1;32mCompress Docs copyright...\033[0m'
		${COMPRESS} "$(DESTDIR)$(PREFIX)$(DOCSDIR)/copyright"
compress_i_nex_LICENSE:
		@echo -e '\033[1;32mCompress Docs I-Nex.LICENSE...\033[0m'
		${COMPRESS} "$(DESTDIR)$(PREFIX)$(DOCSDIR)/I-Nex.LICENSE"
compress_Pastebinit_LICENSE:
		@echo -e '\033[1;32mCompress Docs Pastebinit.LICENSE...\033[0m'
		${COMPRESS} "$(DESTDIR)$(PREFIX)$(DOCSDIR)/Pastebinit.LICENSE"

=== manpages/Makefile ===
#!/usr/bin/make -f

include ../i-nex.mk 
MANPAGE_FILES=$(wildcard *.1)

install: install-man compress-man
install-man:

	@echo -e '\033[1;32mInstalling Man pages 1...\033[0m'
	mkdir -p "$(DESTDIR)$(PREFIX)$(MANDIR)/"
	install -Dm644 $(MANPAGE_FILES) "$(DESTDIR)$(PREFIX)$(MANDIR)/"
	
compress-man:
	@echo -e '\033[1;32mCompress Man pages 1...\033[0m'
	gzip -9 "$(DESTDIR)$(PREFIX)$(MANDIR)/i-nex-cpuid.1"
	gzip -9 "$(DESTDIR)$(PREFIX)$(MANDIR)/i-nex-cpusage.1"
	gzip -9 "$(DESTDIR)$(PREFIX)$(MANDIR)/i-nex-edid.1"
	gzip -9 "$(DESTDIR)$(PREFIX)$(MANDIR)/i-nex-lspci.1"
	gzip -9 "$(DESTDIR)$(PREFIX)$(MANDIR)/i-nex-usage.1"
	gzip -9 "$(DESTDIR)$(PREFIX)$(MANDIR)/i-nex.1"
	gzip -9 "$(DESTDIR)$(PREFIX)$(MANDIR)/i-nex.gambas.1"

=== debian/changelog ===
i-nex (7.4.0) stable; urgency=medium

  * Chengelog for version 7.4.0 see file /usr/share/doc/i-nex/changelog-7.4.0

 -- eloaders <eloaders@linux.pl>  Wed, 13 Aug 2014 11:59:26 +0200

i-nex (7.2.1) stable; urgency=medium

  * Chengelog for version 7.2.1 see file /usr/share/doc/i-nex/changelog-7.2.1

 -- eloaders <eloaders@linux.pl>  Mon, 21 Jul 2014 18:33:00 +0200

i-nex (7.2.0) stable; urgency=medium

  * Chengelog for version 7.2.0 see file /usr/share/doc/i-nex/changelog-7.2.0

 -- eloaders <eloaders@linux.pl>  Sun, 20 Jul 2014 11:21:37 +0200

i-nex (7.0.0) stable; urgency=medium

  * Chengelog for version 7.0.0 see file /usr/share/doc/i-nex/changelog-7.0.0

 -- eloaders <eloaders@linux.pl>  Mon, 23 Jun 2014 18:38:52 +0200

i-nex (0.6.6) stable; urgency=medium

  * Chengelog for version 0.6.6 see file /usr/share/doc/i-nex/changelog-0.6.6

 -- eloaders <eloaders@linux.pl>  Sat, 14 Jun 2014 16:06:39 +0200

i-nex (0.6.4) stable; urgency=medium

  * Chengelog for version 0.6.4 see file /usr/share/doc/i-nex/changelog-0.6.4

 -- eloaders <eloaders@linux.pl>  Sat, 15 Mar 2014 23:39:49 +0100

i-nex (0.6.2) stable; urgency=medium

  * Chengelog for version 0.6.2 see file /usr/share/doc/i-nex/changelog-0.6.2

 -- eloaders <eloaders@linux.pl>  Wed, 29 Jan 2014 00:49:41 +0100

i-nex (0.6.0) stable; urgency=medium

  * Chengelog for version 0.6.0 see file /usr/share/doc/i-nex/changelog-0.6.0

 -- eloaders <eloaders@linux.pl>  Fri, 24 Jan 2014 01:06:07 +0100
 

i-nex (0.5.8) stable; urgency=medium

  * Chengelog for version 0.5.8 see file /usr/share/doc/i-nex/changelog-0.5.8

 -- eloaders <eloaders@linux.pl>  Tue, 24 Dec 2013 11:02:00 +0100
 

i-nex (0.5.6) stable; urgency=medium

  * Chengelog for version 0.5.6 see file /usr/share/doc/i-nex/changelog-0.5.6

 -- eloaders <eloaders@yahoo.com>  Mon, 25 Nov 2013 01:33:11 +0100

i-nex (0.5.4) stable; urgency=low

  * Chengelog for version 0.5.4 see file /usr/share/doc/i-nex/changelog-0.5.4

 -- eloaders <eloaders@yahoo.com>  Fri, 18 Oct 2013 15:54:24 +0200
 

i-nex (0.5.2) stable; urgency=low

  * Chengelog for version 0.5.2 see file /usr/share/doc/i-nex/changelog-0.5.2

 -- eloaders <eloaders@yahoo.com>  Fri, 04 Jan 2013 19:48:32 +0100
 

i-nex (0.5.1) stable; urgency=low

  * Chengelog for version 0.5.1 see file /usr/share/doc/i-nex/changelog-0.5.1

 -- eloaders <eloaders@yahoo.com>  Sun, 02 Dec 2012 14:44:59 +0100

i-nex (0.5.0) stable; urgency=medium

  * Chengelog for version 0.5.0 see file /usr/share/doc/i-nex/changelog-0.5.0

 -- eloaders <eloaders@yahoo.com>  Thu, 29 Nov 2012 09:03:21 +0100

i-nex (0.4.8.1) stable; urgency=medium

  * Chengelog for version 0.4.8.1 see file /usr/share/doc/i-nex/changelog-0.4.8.1

 -- eloaders <eloaders@yahoo.com>  Fri, 13 Apr 2012 22:28:09 +0200

i-nex (0.4.8) stable; urgency=low

  * Chengelog for version 0.4.8 see file /usr/share/doc/i-nex/changelog-0.4.8

 -- eloaders <eloaders@yahoo.com>  Wed, 04 Apr 2012 18:12:01 +0200

i-nex (0.4.6) stable; urgency=low

  * Chengelog for version 0.4.6 see file /usr/share/doc/i-nex/changelog-0.4.6

 -- eloaders <eloaders@yahoo.com>  Sat, 03 Mar 2012 14:37:35 +0100

i-nex (0.4.5) unstable; urgency=low

  * Change version to 0.4.5 Unstable

 -- eloaders <eloaders@yahoo.com>  Tue, 14 Feb 2012 14:03:52 +0100

i-nex (0.4.4) stable; urgency=low

  * Fix Cache position
  * Fix distrodetect.class
  * Add gentoo
  * Update USB_Drives.module
  * Fix Bug in battery.module
    Detect BAT0 & BAT1
  * Battery Fix Spaces LTrim
  * Add new bug reporter
    Tomasz Przybył (FadeMind) dj.m.freex[at]gmail[dot]com www.gravatar.com/fademind
  * Fix CPU Tab → Frame CPU → Text Size, Padding, Autoresize, Expand.
  * New About dialog
  * Fix battery tab, All TextBox = ReadOnly True
  * Add botton to About: I-Nex home page
  * Fix CPU Tab, Text size 10,Bold
    Add HBox, → /Fix position
  * Change CPU Tab: Spacing = True to False
    Add to Battery tab: Progressbar for show XX%
  * Add support: Intel(R) Core(TM) i3
  * Fix bug dospam_uptime()
    [6] Type mismatch: wanted Integer, got string instead. Finfosys.dospam_uptime.414

 -- eloaders <eloaders@yahoo.com>  Thu, 02 Feb 2012 12:13:22 +0100

i-nex (0.4.3) unstable; urgency=low

  * Add detect removable
    0 = No
    1 = Yes
  * Add Ext range, range
  * Add detect:
    add_random
    discard_granularity
    discard_max_bytes
    discard_zeroes_data
    hw_sector_size
  * Add detect:
    max_hw_sectors_kb
    max_sectors_kb
    max_segments
    max_segment_size
    read_ahead_kb
    scheduler
  * Add info to About window
    Main developer
    Main bug reporter
  * Add new logo in about window.
    Special thanks to: mmaciek12 http://mmaciek12.deviantart.com/art/CPU-Icon-281444281
  * Fix icons in forms
  * Add depends: 
    dpkg (>= 1.16), grep (>= 2.9), mount (>= 2.19), procps, x11-xserver-utils (>= 7.6), lsb-release (>= 4.0), bash (>= 4.2), coreutils (>= 8.5), sed (>= 4.2), pciutils, x11-utils (>= 7.6), mesa-utils (>= 7.6), hostname
  * Fix CPU tab TextArea to TextBox
    Strings font = Bold
  * Fix disable overlay-scrollbar
    Add to debian/i-nex.desktop
    Exec=env LIBOVERLAY_SCROLLBAR=0 /usr/bin/i-nex.gambas
  * Add detect nVidia logo in Graphic tab
  * Fix Motherboard / Bios, System Tab
  * Fix CPU tab
  * Fix Used
    add sed -n '1p'
  * Fix font CPU Tab 
    Bold,10
  * Add HPanel, HBox
    Change size fonts, use system settings. Auto resize / expand
    CPU, Frame = The Main Information
    Graphic, Frame = OpenGl
  * Fix Bios. Detect Vendor,Date and Version
  * + 531 
    ProgressBar2.ToolTip = Disk_Drives.Used & "%"
    + 535
    ProgressBar2.ToolTip = "Unknown"
  * Fix debian/control Build-depends and Depends.
    Screenshot not based on gnome-screenshot.
    New modules and Forms for create screenshot.
  * Fix ScreenShot.form
    Set Icon and Text
  * Fix internet()
  * Fix uptime


=== debian/control ===
Source: i-nex
Section: contrib/admin
Priority: extra
Maintainer: eloaders <eloaders@linux.pl>
Uploaders: eloaders <eloaders@linux.pl>
Homepage: http://i-nex.linux.pl
Build-Depends: debhelper (>= 7), 
  dh-autoreconf,
  python | python-all | python-dev | python-all-dev,
  pkg-config, dpkg-dev (>= 1.14.17),
  debhelper (>= 5.0.0),
  libcpuid11-dev, lsb-release,
  libprocps3-dev | libprocps0-dev | libproc-dev,
  libx11-dev,
  libxext-dev,
  libgl1-mesa-dev,
  libglu1-mesa-dev,
  gambas3-dev (>= 3.6.0),
  gambas3-gb-image (>= 3.6.0),
  gambas3-gb-qt4 (>= 3.6.0),
  gambas3-gb-form (>= 3.6.0),
  gambas3-gb-desktop (>= 3.6.0),
  gambas3-gb-desktop-x11 (>= 3.6.0),
  imagemagick
Standards-Version: 3.9.4
Vcs-Browser: https://github.com/eloaders/I-Nex
Vcs-Git: https://github.com/eloaders/I-Nex.git

Package: i-nex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  gambas3-runtime (>= 3.6.0),  
  gambas3-gb-image (>= 3.6.0), 
  gambas3-gb-qt4 (>= 3.6.0), 
  gambas3-gb-form (>= 3.6.0), 
  gambas3-gb-desktop (>= 3.6.0),
  grep (>= 2.5),
  bash (>= 4.1),
  coreutils (>= 7.4),
  sed (>= 4.2),
  python-configobj,
  curl
Replaces: i-nex
Recommends:
  mount (>= 2.17),
  x11-utils (>= 7.5),
  pciutils,
  lsb-release (>= 4.0),
  x11-xserver-utils (>= 7.5)
Description: CPU-Z Alternative for Linux. For Viewing System Device Information.
  I-Nex is an application that gathers information for hardware components.
  Available on your system and displays it using an user 
  interface similar to the popular Windows tool CPU-Z.
  CPU, GPU, Motherboard, Sound, Hard disks, RAM, Network, USB, hostname, 
  Linux distribution and version, Xorg, GCC, GLX versions and Linux Kernel info.
  I-Nex can also generate an advanced report for which. 
  You can select what to include and optionally send the report to a service such as Pastebin. 
  It also features an option to take a screenshot of the I-Nex window directly from the application.

=== dists/PKGBUILD ===
# Maintainer: eloaders <eloaders at linux dot pl>

pkgname=i-nex-git
pkgver=7.4.0.21.g5bdc044
pkgrel=1
pkgdesc="System information tool like hardinfo, sysinfo"
arch=('i686' 'x86_64')
url="http://i-nex.linux.pl/"
license=('LGPL3')
depends=('gambas3-runtime' 
	 'gambas3-gb-image' 
	 'gambas3-gb-form'
         'gambas3-gb-desktop'
         'gambas3-gb-qt4'
         'gambas3-gb-desktop-x11'
         'python2' 
         'libcpuid-git'
         'xorg-server-utils' 
         'lsb-release' 
         'curl')
makedepends=('gambas3-devel' 'gcc' 'imagemagick' 'git')
source=($pkgname::'git://github.com/eloaders/I-Nex.git')
sha256sums=('SKIP')
provides=('i-nex' 'i-nex-bzr' 'i-nex-dev')
conflicts=('i-nex' 'i-nex-bzr' 'i-nex-dev')
backup=('etc/i-nex/Database/i2c/devices.json'
	'etc/i-nex/Database/A6.json'
	'etc/i-nex/Database/amd.json'
	'etc/i-nex/Database/atom.json'
	'etc/i-nex/Database/i3.json'
	'etc/i-nex/Database/i5.json'
	'etc/i-nex/Database/i7.json'
	'etc/i-nex/Database/intel_Core_2_Duo.json'
	'etc/i-nex/Database/intel.json'
	'etc/i-nex/Database/Opteron.json'
	'etc/i-nex/Database/Xeon.json')
pkgver() {
  cd $pkgname
  git describe --tags | tr - .
}
prepare() {
  cd $pkgname
  sed -i 's|python3$|python2|' pastebinit
  # make it dynamic
  sed -i -e 's|^STATIC.*|STATIC = false|' i-nex.mk
  sed -i -e 's|^UDEV_RULES_DIR.*|UDEV_RULES_DIR = /usr/lib/udev/rules.d|' i-nex.mk
  cd I-Nex
  autoreconf -i
}
 
build() {
  cd $pkgname
  cd I-Nex
  ./configure --prefix=/usr
  cd ..
  make
}
 
package() {
  cd $pkgname
  make install DESTDIR="$pkgdir"
}
